### Method

# GLib VariantType n_items

since: 2.24

#### Declaration

    gsize
    g_variant_type_n_items (
      const GVariantType* type
    )

#### Description

Determines the number of items contained in a tuple or dictionary entry type.

This function may only be used with tuple or dictionary entry types, but must not be used with the generic tuple type `G_VARIANT_TYPE_TUPLE`.

In the case of a dictionary entry type, this function will always return 2.

Available since: 2.24

#### Return value

Type: `gsize`

The number of items in `type`

Since 2.24